Subject: Re: bug#62742: nheko cannot display certain image types (.avif, .webp)

From: Bruno Victal <[email-masked]>
Date: Sun, 9 Apr 2023 19:59:34 +0100

Hi,

On 2023-04-09 19:25, bdju via Bug reports for GNU Guix wrote:
> This seems to be due to not having kimageformats and qtimageformats in
> the inputs at build time according to some people I spoke with.
> I have not tested adding them and rebuilding as I'm not sure how to do
> that. Hopefully someone else can test this and fix the package if that
> works. If you look at the nix package for comparison, it has
> qtimageformats in the recipe.

This is most likely caused by missing MIME type data for AVIF due to the shared-mime-info package in guix being outdated.

Cheers,
Bruno